Bug 142507 - Drop down menu for estimated time to completion field.
Drop down menu for estimated time to completion field.
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
Mike MacKenzie
Depends On:
Blocks: BZ_218_Final
  Show dependency treegraph
Reported: 2004-12-09 20:34 EST by David Lawrence
Modified: 2007-04-18 13:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-21 10:36:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2004-12-09 20:34:26 EST
Description of problem:
Generate a quick drop down menu with some common time selections such as (1 day,
1 week, 1 month, etc.). They will need to translate to number of hours when put
into the database.

Version-Release number of selected component (if applicable):
Comment 1 Jeff Needle 2004-12-13 09:33:17 EST
Thanks!  This came from a suggestion from Havoc, when discussing how to quickly
give an "Is it bigger than a breadbox?" sense for a bug on first sight so
customer expectations can be properly set.  It should be an internal-only field,
and a more accurate time estimate could either follow or be populated from this
field using this as alternate input (maybe make one option "Other" and let
people fill in a time).

This was my interpretation of Havoc's initial request.  Adding him to CC: as well.

Consider a "rough initial estimate field" pulldown menu prepopulated
with a small list of choices:

 - 2 hours
 - 1/2 day
 - day
 - 3 days
 - week
 - 2 weeks
 - month
 - 3 months
 - huge
Comment 2 David Lawrence 2004-12-13 18:10:35 EST
Please verify proper functionality of this in the current beta. There is a new
shortcut drop down on the edit bug page and create bug page that will prefill
selected values for you. Let me know if this breaks anything.
Comment 3 David Lawrence 2004-12-21 10:30:49 EST
Comment 4 Jeff Needle 2004-12-21 10:33:46 EST
Sorry, missed the original request!  Looks perfect, haven't done extensive
testing of it though.
Comment 5 David Lawrence 2004-12-21 10:36:01 EST
Cool. Please just reopen this if you find any problems. Trying to clean out my
bug queue.

Note You need to log in before you can comment on or make changes to this bug.